% En este script se muestra como guardar variables en un archivo .mat y como leerlas luego.
% Primero limpio la memoria, cierro cualquier ventana previamente abierta y limpio la pantalla
clear all, close all, clc

% Creo una matriz de 4x4 con las propiedades de un Sudoku
a = magic(4);

% Creo una matriz de 2 por 4 llena de unos y multiplico por 3 a todos sus elementos
b = ones(2, 4) * 3;

% Creo una matriz de 1 por 4, con los elementos 1 2 3 y 4
c = [1 2 3 4];

% Guardo las tres matrices que genere usando el formato mat
% este formato conserva la informacion relativa a las variables
% es decir, guarda a, b, y c como elementos independientes
% y luego los podemos cargar tambien independientemente
save -mat mis_datos.mat a b c

% Borro de la memoria las tres matrices (no borro el archivo)
clear a b c

% Leo la matriz guardada en el archivo mis_datos.mat, no hace falta indicarle que es un .mat
% si bien levanto toda la informacion, tambien pido que levante a por separado
load mis_datos.mat a

disp('Muestro lo que leyo como variable a');
disp(a);

% disp('Si ahora intento mostrar lo que leyo como variable b fracaso porque no la lei');
% disp(b);

% Leo las variables b y c. Tambien podria haber agregado una b al final de la linea "load mis_datos.mat a"
load mis_datos.mat b c

disp('Muestro la variable b');
disp(b);

disp('Muestro la variable c');
disp(c);